import * as MC from "@minecraft/server";
MC.world.afterEvents.playerBreakBlock.subscribe(bedbreak);
/**
 * @param {MC.PlayerBreakBlockAfterEvent} bedbreaked
 */
function bedbreak(bedbreaked) {
  if (
    bedbreaked.brokenBlockPermutation.matches(`minecraft:bed`) && bedbreaked.player.hasTag(`red`) && bedbreaked.block.x === -46 &&
    bedbreaked.block.y === 261 &&
    bedbreaked.block.z >= -6 &&
    bedbreaked.block.z <= -5
  ) {
    bedbreaked.player.runCommandAsync(`execute positioned -46 262 -5 run kill @e[r=2,type=item]`);
    bedbreaked.player.addTag(`cdbr`)
  }
  if (
    bedbreaked.brokenBlockPermutation.matches(`minecraft:bed`) && bedbreaked.player.hasTag(`blue`) && bedbreaked.block.x === 5 &&
    bedbreaked.block.y === 261 &&
    bedbreaked.block.z >= -46 &&
    bedbreaked.block.x <= 6
  ) {
    bedbreaked.player.runCommandAsync(`execute positioned 5 262 -46 run kill @e[r=2,type=item]`);
    bedbreaked.player.addTag(`cdbb`)
  }
  if (
    bedbreaked.brokenBlockPermutation.matches(`minecraft:bed`) && bedbreaked.player.hasTag(`green`) && bedbreaked.block.x === 46 &&
    bedbreaked.block.y === 261 &&
    bedbreaked.block.z >= 5 &&
    bedbreaked.block.z <= 6
  ) {
    bedbreaked.player.runCommandAsync(`execute positioned 46 262 5 run kill @e[r=2,type=item]`);
    bedbreaked.player.addTag(`cdbg`)
  }
  if (
    bedbreaked.brokenBlockPermutation.matches(`minecraft:bed`) && bedbreaked.player.hasTag(`yellow`) && bedbreaked.block.x === -5 &&
    bedbreaked.block.y === 261 &&
    bedbreaked.block.z >= 46 &&
    bedbreaked.block.x <= -6
  ) {
    bedbreaked.player.runCommandAsync(`execute positioned 46 262 -5 run kill @e[r=2,type=item]`);
    bedbreaked.player.addTag(`cdbr`)
  }
  if (
    bedbreaked.brokenBlockPermutation.matches('minecraft:bed') &&
    !bedbreaked.player.hasTag('red') &&
    bedbreaked.block.x === -46 &&
    bedbreaked.block.y === 261 &&
    bedbreaked.block.z === -5
  ) {
    let playerName = bedbreaked.player.name;
    bedbreaked.player.runCommandAsync(`execute positioned -46 262 -5 run kill @e[r=2,type=item]`);
    bedbreaked.player.runCommandAsync(`tag @a[tag=red] add finalkillred1`);
    bedbreaked.player.runCommandAsync(`execute if entity @a[tag=red] run tellraw @a[tag=!red] { "rawtext": [{ "text": "§1${playerName} §6Destroyed Red bed " }] }`);
    bedbreaked.player.runCommandAsync(`execute if entity @a[tag=red] run tellraw @a[tag=red] { "rawtext": [{ "text": "§4${playerName} §6Destroyed Your bed " }] }`);
  }
  if (
    bedbreaked.brokenBlockPermutation.matches('minecraft:bed') &&
    !bedbreaked.player.hasTag('red') &&
    bedbreaked.block.x === -46 &&
    bedbreaked.block.y === 261 &&
    bedbreaked.block.z === -6
  ) {
    let playerName = bedbreaked.player.name;
    bedbreaked.player.runCommandAsync(`execute positioned -46 262 -5 run kill @e[r=2,type=item]`);
    bedbreaked.player.runCommandAsync(`tag @a[tag=red] add finalkillred1`);
    bedbreaked.player.runCommandAsync(`execute if entity @a[tag=red] run tellraw @a[tag=!red] { "rawtext": [{ "text": "§1${playerName} §6Destroyed Red bed " }] }`);
    bedbreaked.player.runCommandAsync(`execute if entity @a[tag=red] run tellraw @a[tag=red] { "rawtext": [{ "text": "§4${playerName} §6Destroyed Your bed " }] }`);
  }
  if (
    bedbreaked.brokenBlockPermutation.matches('minecraft:bed') &&
    !bedbreaked.player.hasTag('blue') &&
    bedbreaked.block.x === 5 &&
    bedbreaked.block.y === 261 &&
    bedbreaked.block.z === -46
  ) {
    let playerName = bedbreaked.player.name;
    bedbreaked.player.runCommandAsync(`execute positioned 5 262 -46 run kill @e[r=2,type=item]`);
    bedbreaked.player.runCommandAsync(`tag @a[tag=blue] add finalkillblue1`);
    bedbreaked.player.runCommandAsync(`execute if entity @a[tag=blue] run tellraw @a[tag=!blue] { "rawtext": [{ "text": "§4${playerName} §6Destroyed Blue bed " }] }`);
    bedbreaked.player.runCommandAsync(`execute if entity @a[tag=blue] run tellraw @a[tag=blue] { "rawtext": [{ "text": "§4${playerName} §6Destroyed Your bed " }] }`);
  }
  if (
    bedbreaked.brokenBlockPermutation.matches('minecraft:bed') &&
    !bedbreaked.player.hasTag('blue') &&
    bedbreaked.block.x === 6 &&
    bedbreaked.block.y === 261 &&
    bedbreaked.block.z === -46
  ) {
    let playerName = bedbreaked.player.name;
    bedbreaked.player.runCommandAsync(`execute positioned 5 262 -46 run kill @e[r=2,type=item]`);
    bedbreaked.player.runCommandAsync(`tag @a[tag=blue] add finalkillblue1`);
    bedbreaked.player.runCommandAsync(`execute if entity @a[tag=blue] run tellraw @a[tag=!blue] { "rawtext": [{ "text": "§4${playerName} §6Destroyed Blue bed " }] }`);
    bedbreaked.player.runCommandAsync(`execute if entity @a[tag=blue] run tellraw @a[tag=blue] { "rawtext": [{ "text": "§4${playerName} §6Destroyed Your bed " }] }`);
  }
  if (
    bedbreaked.brokenBlockPermutation.matches('minecraft:bed') &&
    !bedbreaked.player.hasTag('green') &&
    bedbreaked.block.x === 46 &&
    bedbreaked.block.y === 261 &&
    bedbreaked.block.z === 5
  ) {
    let playerName = bedbreaked.player.name;
    bedbreaked.player.runCommandAsync(`execute positioned 46 262 5 run kill @e[r=2,type=item]`);
    bedbreaked.player.runCommandAsync(`tag @a[tag=green] add finalkillgreen1`);
    bedbreaked.player.runCommandAsync(`execute if entity @a[tag=green] run tellraw @a[tag=!green] { "rawtext": [{ "text": "§4${playerName} §6Destroyed Green bed " }] }`);
    bedbreaked.player.runCommandAsync(`execute if entity @a[tag=green] run tellraw @a[tag=green] { "rawtext": [{ "text": "§4${playerName} §6Destroyed Your bed " }] }`);
  }
  if (
    bedbreaked.brokenBlockPermutation.matches('minecraft:bed') &&
    !bedbreaked.player.hasTag('green') &&
    bedbreaked.block.x === 46 &&
    bedbreaked.block.y === 261 &&
    bedbreaked.block.z === 6
  ) {
    let playerName = bedbreaked.player.name;
    bedbreaked.player.runCommandAsync(`execute positioned 46 262 5 run kill @e[r=2,type=item]`);
    bedbreaked.player.runCommandAsync(`tag @a[tag=green] add finalkillgreen1`);
    bedbreaked.player.runCommandAsync(`execute if entity @a[tag=green] run tellraw @a[tag=!green] { "rawtext": [{ "text": "§4${playerName} §6Destroyed Green bed " }] }`);
    bedbreaked.player.runCommandAsync(`execute if entity @a[tag=green] run tellraw @a[tag=green] { "rawtext": [{ "text": "§4${playerName} §6Destroyed Your bed " }] }`);
  }
  if (
    bedbreaked.brokenBlockPermutation.matches('minecraft:bed') &&
    !bedbreaked.player.hasTag('yellow') &&
    bedbreaked.block.x === -5 &&
    bedbreaked.block.y === 261 &&
    bedbreaked.block.z === 46
  ) {
    let playerName = bedbreaked.player.name;
    bedbreaked.player.runCommandAsync(`execute positioned -5 262 46 run kill @e[r=2,type=item]`);
    bedbreaked.player.runCommandAsync(`tag @a[tag=yellow] add finalkillyellow1`);
    bedbreaked.player.runCommandAsync(`execute if entity @a[tag=yellow] run tellraw @a[tag=!yellow] { "rawtext": [{ "text": "§4${playerName} §6Destroyed Yellow bed " }] }`);
    bedbreaked.player.runCommandAsync(`execute if entity @a[tag=yellow] run tellraw @a[tag=yellow] { "rawtext": [{ "text": "§4${playerName} §6Destroyed Your bed " }] }`);
  }
  if (
    bedbreaked.brokenBlockPermutation.matches('minecraft:bed') &&
    !bedbreaked.player.hasTag('yellow') &&
    bedbreaked.block.x === -6 &&
    bedbreaked.block.y === 261 &&
    bedbreaked.block.z === 46
  ) {
    let playerName = bedbreaked.player.name;
    bedbreaked.player.runCommandAsync(`execute positioned -5 262 46 run kill @e[r=2,type=item]`);
    bedbreaked.player.runCommandAsync(`tag @a[tag=yellow] add finalkillyellow1`);
    bedbreaked.player.runCommandAsync(`execute if entity @a[tag=yellow] run tellraw @a[tag=!yellow] { "rawtext": [{ "text": "§4${playerName} §6Destroyed Yellow bed " }] }`);
    bedbreaked.player.runCommandAsync(`execute if entity @a[tag=yellow] run tellraw @a[tag=yellow] { "rawtext": [{ "text": "§4${playerName} §6Destroyed Your bed " }] }`);
  }
  else {
  }
}

import { Player, world, system } from '@minecraft/server';
import ChatCommand from './index.js'
import { commands } from './index.js';
ChatCommand.create('lobby', 'desc', undefined, false, undefined, ((player, _, commandString) => {
  player.runCommandAsync(`execute if entity @s[tag=bw] run tellraw @a { "rawtext": [  { "text":"§4${player.name} §aLeft the game and is in lobby"}]}`)
  system.run(() => {
    player.addTag(`removealltags`)
  })
}))
MC.world.afterEvents.playerPlaceBlock.subscribe(TntPlaced);

/**
 * @param {MC.PlayerPlaceBlockAfterEvent} tnnt
 **/
function TntPlaced(tnnt) {
  if (tnnt.block.typeId === 'minecraft:tnt') {
    var TntLocation = tnnt.block.location;

    var x = TntLocation.x;
    var y = TntLocation.y;
    var z = TntLocation.z;
    var setblockCommand = `setblock ${x} ${y} ${z} minecraft:air`;

    tnnt.dimension.spawnEntity('minecraft:tnt', TntLocation);
    tnnt.dimension.runCommandAsync(setblockCommand);
  }
}


MC.world.afterEvents.itemUse.subscribe(use);
/**
 * @param {MC.ItemUseAfterEvent} used
 */
function use(used) {
  if (used.itemStack.typeId == `bw:start_bw` && MC.world.getAllPlayers().length > 1) {
    used.source.addTag(`starting`);
  };
  if (used.itemStack.typeId == `bw:start_bw` && MC.world.getAllPlayers().length == 1) {
    used.source.addTag(`nep`);
  }
  else {
  }
}
MC.world.afterEvents.playerSpawn.subscribe(j)
/**
 * @param {MC.PlayerSpawnAfterEvent} jj
 */
function j(jj) {
  if (jj.initialSpawn) {
    jj.player.runCommandAsync(`tellraw @a { "rawtext": [{ "text": "§bBedwars By §cNovaKnight3291 " }] }`)
    jj.player.addTag(`removealltags`)
    jj.player.runCommandAsync(`kill @e[type=!player]`)
    jj.player.runCommandAsync(`structure load mystructure:Team 2000 300 2000`)
    jj.player.runCommandAsync(`structure load mystructure:Iron 2000 300 2000`)
    jj.player.runCommandAsync(`structure load mystructure:Gold 2000 300 2000`)
    jj.player.runCommandAsync(`structure load mystructure:Emerald 2000 300 2000`)
    jj.player.runCommandAsync(`structure load mystructure:Diamond 2000 300 2000`)
    jj.player.runCommandAsync(`structure load mystructure:forge1 2000 300 2000`)
    jj.player.runCommandAsync(`structure load mystructure:forge2 2000 300 2000`)
    jj.player.runCommandAsync(`structure load mystructure:forge3 2000 300 2000`)
    jj.player.runCommandAsync(`structure load mystructure:forge4 2000 300 2000`)
    jj.player.runCommandAsync(`loot replace block 2006 283 2001 slot.container 16 loot arrow`)
    jj.player.runCommandAsync(`loot replace block 2006 283 2001 slot.container 21 loot oak_planks`)
    jj.player.runCommandAsync(`loot replace block 2006 283 2001 slot.container 22 loot endstone`)
    jj.player.runCommandAsync(`loot replace block 2006 283 2001 slot.container 23 loot obsidian`)
    jj.player.runCommandAsync(`loot replace block 2006 283 2001 slot.container 23 loot obsidian`)
    jj.player.runCommandAsync(`loot replace block 2006 283 2001 slot.container 25 loot ladder`)
    jj.player.runCommandAsync(`loot replace block 2006 283 2001 slot.container 28 loot tnt`)
    jj.player.runCommandAsync(`loot replace block 2006 283 2001 slot.container 29 loot fireball`)
    jj.player.runCommandAsync(`loot replace block 2006 283 2001 slot.container 30 loot golden_apple`)
    jj.player.runCommandAsync(`loot replace block 2006 283 2001 slot.container 31 loot ender_pearl`)
    jj.player.runCommandAsync(`loot replace block 2006 283 2001 slot.container 32 loot snowball`)
    jj.player.runCommandAsync(`loot replace block 2006 283 2001 slot.container 33 loot water_bucket`)
    jj.player.runCommandAsync(`loot replace block 2006 283 2001 slot.container 34 loot milk_bucket`)
    jj.player.runCommandAsync(`loot replace block 2006 282 2001 slot.container 16 loot arrow`)
    jj.player.runCommandAsync(`loot replace block 2006 282 2001 slot.container 21 loot oak_planks`)
    jj.player.runCommandAsync(`loot replace block 2006 282 2001 slot.container 22 loot endstone`)
    jj.player.runCommandAsync(`loot replace block 2006 282 2001 slot.container 23 loot obsidian`)
    jj.player.runCommandAsync(`loot replace block 2006 282 2001 slot.container 23 loot obsidian`)
    jj.player.runCommandAsync(`loot replace block 2006 282 2001 slot.container 25 loot ladder`)
    jj.player.runCommandAsync(`loot replace block 2006 282 2001 slot.container 28 loot tnt`)
    jj.player.runCommandAsync(`loot replace block 2006 282 2001 slot.container 29 loot fireball`)
    jj.player.runCommandAsync(`loot replace block 2006 282 2001 slot.container 30 loot golden_apple`)
    jj.player.runCommandAsync(`loot replace block 2006 282 2001 slot.container 31 loot ender_pearl`)
    jj.player.runCommandAsync(`loot replace block 2006 282 2001 slot.container 32 loot snowball`)
    jj.player.runCommandAsync(`loot replace block 2006 282 2001 slot.container 33 loot water_bucket`)
    jj.player.runCommandAsync(`loot replace block 2006 282 2001 slot.container 34 loot milk_bucket`)
    jj.player.runCommandAsync(`loot replace block 2006 281 2001 slot.container 16 loot arrow`)
    jj.player.runCommandAsync(`loot replace block 2006 281 2001 slot.container 21 loot oak_planks`)
    jj.player.runCommandAsync(`loot replace block 2006 281 2001 slot.container 22 loot endstone`)
    jj.player.runCommandAsync(`loot replace block 2006 281 2001 slot.container 23 loot obsidian`)
    jj.player.runCommandAsync(`loot replace block 2006 281 2001 slot.container 23 loot obsidian`)
    jj.player.runCommandAsync(`loot replace block 2006 281 2001 slot.container 25 loot ladder`)
    jj.player.runCommandAsync(`loot replace block 2006 281 2001 slot.container 28 loot tnt`)
    jj.player.runCommandAsync(`loot replace block 2006 281 2001 slot.container 29 loot fireball`)
    jj.player.runCommandAsync(`loot replace block 2006 281 2001 slot.container 30 loot golden_apple`)
    jj.player.runCommandAsync(`loot replace block 2006 281 2001 slot.container 31 loot ender_pearl`)
    jj.player.runCommandAsync(`loot replace block 2006 281 2001 slot.container 32 loot snowball`)
    jj.player.runCommandAsync(`loot replace block 2006 281 2001 slot.container 33 loot water_bucket`)
    jj.player.runCommandAsync(`loot replace block 2006 281 2001 slot.container 34 loot milk_bucket`)
    jj.player.runCommandAsync(`loot replace block 2006 280 2001 slot.container 16 loot arrow`)
    jj.player.runCommandAsync(`loot replace block 2006 280 2001 slot.container 21 loot oak_planks`)
    jj.player.runCommandAsync(`loot replace block 2006 280 2001 slot.container 22 loot endstone`)
    jj.player.runCommandAsync(`loot replace block 2006 280 2001 slot.container 23 loot obsidian`)
    jj.player.runCommandAsync(`loot replace block 2006 280 2001 slot.container 23 loot obsidian`)
    jj.player.runCommandAsync(`loot replace block 2006 280 2001 slot.container 25 loot ladder`)
    jj.player.runCommandAsync(`loot replace block 2006 280 2001 slot.container 28 loot tnt`)
    jj.player.runCommandAsync(`loot replace block 2006 280 2001 slot.container 29 loot fireball`)
    jj.player.runCommandAsync(`loot replace block 2006 280 2001 slot.container 30 loot golden_apple`)
    jj.player.runCommandAsync(`loot replace block 2006 280 2001 slot.container 31 loot ender_pearl`)
    jj.player.runCommandAsync(`loot replace block 2006 280 2001 slot.container 32 loot snowball`)
    jj.player.runCommandAsync(`loot replace block 2006 280 2001 slot.container 33 loot water_bucket`)
    jj.player.runCommandAsync(`loot replace block 2006 280 2001 slot.container 34 loot milk_bucket`)
    jj.player.runCommandAsync(`loot replace block 2006 283 2004 slot.container 10 loot counter_offensive`)
    jj.player.runCommandAsync(`loot replace block 2006 283 2004 slot.container 28 loot mining_fatigue`)
    jj.player.runCommandAsync(`loot replace block 2006 282 2004 slot.container 10 loot counter_offensive`)
    jj.player.runCommandAsync(`loot replace block 2006 282 2004 slot.container 28 loot mining_fatigue`)
    jj.player.runCommandAsync(`loot replace block 2006 281 2004 slot.container 10 loot counter_offensive`)
    jj.player.runCommandAsync(`loot replace block 2006 281 2004 slot.container 28 loot mining_fatigue`)
    jj.player.runCommandAsync(`loot replace block 2006 280 2004 slot.container 10 loot counter_offensive`)
    jj.player.runCommandAsync(`loot replace block 2006 280 2004 slot.container 28 loot mining_fatigue`)
  }
}
MC.world.beforeEvents.playerBreakBlock.subscribe(trap2);
/**
 * @param {MC.PlayerBreakBlockBeforeEvent} trap22
 */
function trap2(trap22) {
  if (trap22.block.permutation.matches(`minecraft:ender_chest`)
  ) { trap22.cancel = true }
  trap22.player.runCommandAsync(`execute if entity @a[tag=red,tag=mft] positioned -46 261 -5 if entity @a[tag=!red,r=5] run effect @a[tag=!red,r=5] mining_fatigue 7 1 `);
  trap22.player.runCommandAsync(`execute if entity @a[tag=red,tag=mft] positioned -46 261 -5 if entity @a[tag=!red,r=5] run titleraw @a[tag=red,tag=bta] actionbar { "rawtext": [{ "text": "§c§lMining Fatigue Trap Activated" }] } `);
  trap22.player.runCommandAsync(`execute if entity @a[tag=red,tag=mft] positioned -46 261 -5 if entity @a[tag=!red,r=5] run tag @a[tag=red] remove mft `);
  trap22.player.runCommandAsync(`execute if entity @a[tag=blue,tag=mft] positioned 5 261 -46 if entity @a[tag=!blue,r=5] run effect @a[tag=!blue,r=5] mining_fatigue 7 1 `);
  trap22.player.runCommandAsync(`execute if entity @a[tag=blue,tag=mft] positioned 5 261 -46 if entity @a[tag=!blue,r=5] run titleraw @a[tag=blue,tag=bta] actionbar { "rawtext": [{ "text": "§c§lMining Fatigue Trap Activated" }] }`);
  trap22.player.runCommandAsync(`execute if entity @a[tag=blue,tag=mft] positioned 5 261 -46 if entity @a[tag=!blue,r=5] run tag @a[tag=blue] remove mft `);
  trap22.player.runCommandAsync(`execute if entity @a[tag=green,tag=mft] positioned 46 261 -5 if entity @a[tag=!green,r=5] run effect @a[tag=!green,r=5] mining_fatigue 7 1 `);
  trap22.player.runCommandAsync(`execute if entity @a[tag=green,tag=mft] positioned 46 261 -5 if entity @a[tag=!green,r=5] run titleraw @a[tag=green,tag=bta] actionbar { "rawtext": [{ "text": "§c§lMining Fatigue Trap Activated" }] } `);
  trap22.player.runCommandAsync(`execute if entity @a[tag=green,tag=mft] positioned 46 261 -5 if entity @a[tag=!green,r=5] run tag @a[tag=green] remove mft `);
  trap22.player.runCommandAsync(`execute if entity @a[tag=yellow,tag=mft] positioned 5 261 -46 if entity @a[tag=!yellow,r=5] run effect @a[tag=!yellow,r=5] mining_fatigue 7 1 `);
  trap22.player.runCommandAsync(`execute if entity @a[tag=yellow,tag=mft] positioned 5 261 -46 if entity @a[tag=!yellow,r=5] run titleraw @a[tag=yellow,tag=bta] actionbar { "rawtext": [{ "text": "§c§lMining Fatigue Trap Activated" }] } `);
  trap22.player.runCommandAsync(`execute if entity @a[tag=yellow,tag=mft] positioned 5 261 -46 if entity @a[tag=!yellow,r=5] run tag @a[tag=yellow] remove mft `);
}
MC.world.afterEvents.playerSpawn.subscribe(playerdied)
/**
 * @param {MC.PlayerSpawnAfterEvent} Playerdied2
 */
function playerdied(Playerdied2) {
  Playerdied2.player.addTag(`died1`)
}